import request from '@/utils/request'

export function fetchPuzzleGoals() {
  return request({
    url: '/toy/sort/listPuzzleGoals',
    method: 'get'
  })
}
// 查询玩具分类管理列表
export function fetchSortList(params) {
  return request({
    url: '/toy/sort/list',
    method: 'get',
    params
  })
}
// 查询玩具分类公共
export function fetchSortPublicList() {
  return request({
    url: '/toy/sort/publicList',
    method: 'get',
  })
}

// 查询玩具分类管理详细
export function fetchSortInfo(id) {
  return request({
    url: '/toy/sort/' + id,
    method: 'get'
  })
}

// 通过父编码获取玩具分类信息列表
export function levelList(params) {
  return request({
    url: '/toy/sort/list/' + params.level + '?parentCode=' + params.parentCode,
    method: 'get'
  })
}

// 新增玩具分类管理
export function addSort(data) {
  return request({
    url: '/toy/sort',
    method: data.id ? 'put' : 'post',
    data
  })
}

// 修改玩具分类管理
export function updateSort(data) {
  return request({
    url: '/toy/sort',
    method: 'put',
    data: data
  })
}

// 删除玩具分类管理
export function removeSort(id) {
  return request({
    url: '/toy/sort/' + id + '/logical',
    method: 'put'
  })
}

// 删除玩具分类管理
export function delSort(id) {
  return request({
    url: '/toy/sort/' + id,
    method: 'delete'
  })
}

// 检查分类数据是否有效
export function checkSort(data) {
  return request({
    url: '/toy/improved/check',
    method: 'post',
    data
  })
}

// 检查分类数据是否有效
export function checkPlatformSort(data) {
  return request({
    url: '/toy/info/check',
    method: 'post',
    data
  })
}
